import { TemplateRef, ViewContainerRef, OnDestroy, ElementRef } from '@angular/core';
export interface KeyAttribute {
    [key: string]: any;
}
export declare class NgTranscludeDirective implements OnDestroy {
    readonly vcr: ViewContainerRef;
    private _ngTransclude;
    /**
     * Time in ms it takes before it is destroyed
     */
    timeout: number;
    _timeoutId: number;
    set ngTransclude(templateRef: TemplateRef<any>);
    get getNgTransclude(): TemplateRef<any>;
    constructor(vcr: ViewContainerRef);
    clear(): void;
    ngOnDestroy(): void;
}
export declare class NgTranscludeModule {
}
/**
 * @ignore
 */
export declare function getNativeElement(element: HTMLElement | ElementRef<HTMLElement>): HTMLElement;
